<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [default]="navbarMode" [checkLogin]="checkLogin"></navbar-app>

<header>
  <div class="header-filter"></div>
  <div class="header-caption">
    <h2 data-aos="zoom-in" data-aos-duration="500">استارتاپ ها</h2>
  </div>
</header>

<div class="body">
  <div class="sidebar">
    <div class="filters">
      <form [formGroup]="filterForm" dir="rtl" (ngSubmit)="doFilter()">
        <!-- search -->
        <div class="search">
          <input type="text" placeholder="جستجو ..." />
        </div>
        <!-- border -->
        <div class="border"></div>

        <!-- province -->
        <div class="province">
          <input
            type="text"
            formControlName="province"
            name="provinceList"
            class="select-input"
            placeholder="انتخاب استان"
            autocomplete="off"
            (ngModelChange)="filterProvince()"
          />
          <ul class="dropdown" id="provinceList">
            <li
              *ngFor="let province of filteredProvinces"
              (click)="setProvinceValue(province)"
            >
              {{ province.name }}
            </li>
          </ul>
        </div>

        <!-- city -->
        <div class="city">
          <input
            type="text"
            formControlName="city"
            name="cityList"
            class="select-input"
            placeholder="انتخاب شهر"
            autocomplete="off"
            (ngModelChange)="filterCity()"
          />
          <ul class="dropdown" id="cityList">
            <li
              *ngFor="let city of filteredCities"
              (click)="setCityValue(city)"
            >
              {{ city.name }}
            </li>
          </ul>
        </div>

        <!-- area -->
        <div class="area">
          <input
            type="text"
            formControlName="activity"
            name="activityList"
            class="select-input"
            placeholder="حوزه فعالیت"
            autocomplete="off"
            (ngModelChange)="filterActivity()"
          />
          <ul class="dropdown" id="activityList">
            <li
              *ngFor="let area of filteredArea"
              (click)="setActivityValue(area)"
            >
              {{ area.name }}
            </li>
          </ul>
        </div>

        <!-- search btn -->
        <div class="search-btn">
          <p (click)="doFilter()">
            <span>
              <fa-icon [icon]="faSearch"></fa-icon>
            </span>
            جستجو
          </p>
        </div>
      </form>
    </div>
  </div>
  <div class="main">
    <div class="middle-box">
      <div class="item-box" dir="rtl">
        <!-- loader -->
        <div class="list-loader" *ngIf="showListLoader">
          <app-loader></app-loader>
        </div>

        <div class="item" *ngFor="let item of startups">
          <app-startup-item [data]="item"></app-startup-item>
        </div>

        <!-- 404 -->
        <div *ngIf="startups.length == 0" class="not-found">
          <img src="../../assets/images/icon png/404.png" alt="" />
          <p>
            موردی یافت نشد !
          </p>
        </div>

        <div
          class="bottom-pager"
          data-aos="zoom-in"
          data-aos-duration="500"
          *ngIf="startups.length != 0"
        >
          <span class="right" title="قبلی" (click)="goPrevious()">
            <fa-icon [icon]="faAngleRight"></fa-icon>
          </span>
          <span class="page-number"> {{ pageNumber }} </span>
          <span class="left" title="بعدی" (click)="goNext()">
            <fa-icon [icon]="faAngleLeft"></fa-icon>
          </span>
        </div>
      </div>
    </div>
  </div>
</div>

<footer-app [checkLogin]="checkLogin"></footer-app>
